declare @objectID int;
select @objectID = object_id from sys.triggers where parent_id = object_id(N'dbo.UserAccount') and name= N'tr_UserAccount_Delete';
declare @createOrAlter nvarchar(6);
set @createOrAlter = case when @objectID is null then N'create' else N'alter' end;
exec (@createOrAlter + N' trigger dbo.tr_UserAccount_Delete
on dbo.UserAccount
for delete
as 
begin
    set nocount on

    insert into dbo.UserInfoHistory (HistoryType, UserInfoID, ModifiedDate, ModifiedUserName, ModifiedLoggedUserName, Data)
    select ''D'', ID, getutcdate(), ModifiedUserName, ModifiedLoggedUserName, Data
    from deleted
end;');